## org.apache.commons.math.linear
Class SingularMatrixException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.math.MathRuntimeException
                      org.apache.commons.math.linear.InvalidMatrixException
                          org.apache.commons.math.linear.SingularMatrixException

All Implemented Interfaces:
  java.io.Serializable

    public class SingularMatrixException

extends InvalidMatrixException

Thrown when a matrix is singular.

Since:
  2.0
Version:
  $Revision: 799857 $ $Date: 2009-08-01 09:07:12 -0400 (Sat, 01 Aug 2009) $
See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID` Serializable version identifier.

Constructor Summary
`SingularMatrixException()` Construct an exception with a default message.

Method Summary

Methods inherited from class org.apache.commons.math.MathRuntimeException

`createArithmeticException, createArrayIndexOutOfBoundsException, createConcurrentModificationException, createEOFException, createIllegalArgumentException, createIllegalArgumentException, createIllegalStateException, createInternalError, createIOException, createNoSuchElementException, createNullPointerException, createParseException, getArguments, getLocalizedMessage, getMessage, getMessage, getPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier.

  See Also:
    Constant Field Values

Constructor Detail

### SingularMatrixException

    public SingularMatrixException()

  Construct an exception with a default message.

Copyright (c) 2003-2010 Apache Software Foundation